# `certbot_dns_digitalocean.dns_digitalocean`

DNS Authenticator for DigitalOcean.

class `certbot_dns_digitalocean.dns_digitalocean.``Authenticator`(*args, **kwargs)

  Bases: `certbot.plugins.dns_common.DNSAuthenticator`

  DNS Authenticator for DigitalOcean

  This Authenticator uses the DigitalOcean API to fulfill a dns-01 challenge.

class `certbot_dns_digitalocean.dns_digitalocean.``_DigitalOceanClient`(token)

  Bases: `object`

  Encapsulates all communication with the DigitalOcean API.

  `add_txt_record`(domain_name, record_name, record_content)

    Add a TXT record using the supplied information.

    Parameters:

    - domain_name (str) – The domain to use to associate the record with.
    - record_name (str) – The record name (typically beginning with ‘_acme-challenge.’).
    - record_content (str) – The record content (typically the challenge validation).

    Raises: | certbot.errors.PluginError – if an error occurs communicating with the DigitalOcean API

  `del_txt_record`(domain_name, record_name, record_content)

    Delete a TXT record using the supplied information.

    Note that both the record’s name and content are used to ensure that similar records created concurrently (e.g., due to concurrent invocations of this plugin) are not deleted.

    Failures are logged, but not raised.

    Parameters:

    - domain_name (str) – The domain to use to associate the record with.
    - record_name (str) – The record name (typically beginning with ‘_acme-challenge.’).
    - record_content (str) – The record content (typically the challenge validation).

  `_find_domain`(domain_name)

    Find the domain object for a given domain name.

    Parameters: | domain_name (str) – The domain name for which to find the corresponding Domain.
    Returns: | The Domain, if found.
    Return type: | `Domain`
    Raises: | certbot.errors.PluginError – if no matching Domain is found.